var pdfData = atob(
    decodeURIComponent(location.hash.replace('#b64=data:application/pdf;base64,', ''))
);

var pdfjsLib = window['pdfjs-dist/build/pdf'];
pdfjsLib.GlobalWorkerOptions.workerSrc = 'pdf.worker.js';

var scale = 1;
var viewer = document.getElementById('viewer');
var canvas = document.createElement('canvas');
viewer.appendChild(canvas);

var loadingTask = pdfjsLib.getDocument({data: pdfData});
loadingTask.promise.then(function(pdf) {
    console.log('PDF loaded');

    var pageNumber = 1;
    pdf.getPage(pageNumber).then(function(page) {
        console.log('Page loaded');

        var render = function() {
            var viewport = page.getViewport(scale);

            // Prepare canvas using PDF page dimensions
            var context = canvas.getContext('2d');
            canvas.height = viewport.height;
            canvas.width = viewport.width;

            // Render PDF page into canvas context
            var renderContext = {
                canvasContext: context,
                viewport: viewport
            };
            var renderTask = page.render(renderContext);
            renderTask.then(function () {
                console.log('Page rendered');
            });
        }

        render();
    });
}, function (reason) {
    // PDF loading error
    console.error(reason);
});
